storm-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Derek Troy-West (JIRA)" <j...@apache.org>
Subject [jira] [Created] (STORM-390) /lib contains two conflicting versions of netty
Date Mon, 07 Jul 2014 23:11:34 GMT
Derek Troy-West created STORM-390:
-------------------------------------

             Summary: /lib contains two conflicting versions of netty
                 Key: STORM-390
                 URL: https://issues.apache.org/jira/browse/STORM-390
             Project: Apache Storm (Incubating)
          Issue Type: Bug
    Affects Versions: 0.9.2-incubating
            Reporter: Derek Troy-West
            Priority: Minor


From: https://storm.incubator.apache.org/downloads.html

0.9.2-incubating versions include within the /lib directory:

netty-3.2.2.Final.jar
netty-3.6.3.Final.jar

This caused me issues when using w/ Datastax Java Driver for Cassandra, the 3.2.2 version
was being used by Storm and conflicting with the version of netty used by the driver.

Deleting 3.2.2 from the lib directory solved my problem.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message